from ox_script import *

print_num = 1
starting_index = 0
workbook = None
excel_path = "固定资产数据.xlsx"

def print_label():
    for i in range(0, int(print_num_controller.value)):
        generate_label(i, starting_index)

def generate_label(current_index, start_at=0):
    global workbook
    if(type(workbook) != type(None)):
        current_row = workbook.active[current_index + 2 + start_at]
        cmd = PTK_UpdateAllFormVariables(
            "command4.txt",
            Input1=str(current_row[0].value),
            Input2=str(current_row[1].value),
            Input3=str(current_row[2].value),
            Input4=str(current_row[3].value),
            Input5=str(current_row[4].value),
            Input6=str(current_row[5].value),
        )
        PTK_SendCmdToPrinter(cmd)
        current_row[6].value = datetime.datetime.now()
        current_row[7].value = "已打印"
        workbook.save(excel_path)

def update_print_num(value):
    global print_num
    print_num = int(print_num_controller.value)

def update_starting_index(value):
    global starting_index
    starting_index = int(starting_index_controller.value)

def load_excel(path):
    from openpyxl import load_workbook
    global workbook
    workbook = load_workbook(path)

if __name__ == "__main__":
    import os
    print(os.getcwd())
    controller = PTK_UIInit(
        PTK_UIPage(
            PTK_UIText(title="文件名:固定资产数据.xlsx"),
            print_num_controller := PTK_UIInput(title="打印数量", value="1",  Onsubmit=update_print_num),
            starting_index_controller := PTK_UIInput(title="起始记录", value="0",  Onsubmit=update_starting_index),
            PTK_UIButton(title="打印", Onpressed=print_label),
        ),
        require_execute_confirmation=False,
    )
    load_excel(excel_path)

    